Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType wtc-tbridge-globalType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}wtc-tbridge-globalType

Model
  `<...>
  name?, notes?, transactional?, timeout?, retries?, retry-delay?, wls-error-destination?, tux-error-queue?, delivery-mode-override?, default-reply-delivery-mode?, user-id?, allow-non-standard-types?, jndi-factory?, jms-factory?, tux-factory?, jms-to-tux-priority-map?, tux-to-jms-priority-map?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This interface provides access to the WTC tBridge Global configuration attributes. The methods defined herein are applicable for tBridge configuration at the WLS domain level.

  MBean: `WTCtBridgeGlobalMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`annonymous type derived from string` | `transactional` optional Specifies whether this Tuxedo queuing bridge should use transactions when retrieving messages from a source location and when placing messages on a target location.
`annonymous type derived from int` | `timeout` optional The number of timeout seconds for an entire redirection when this Tuxedo queuing bridge places a message on the target location.
`annonymous type derived from int` | `retries` optional The number of attempts to redirect a message before this Tuxedo queuing bridge places the message in the specified error location and logs an error.
`annonymous type derived from int` | `retry-delay` optional The minimum number of milliseconds this Tuxedo queuing bridge waits before redirecting a message after a failure.
`string` | `wls-error-destination` optional The name of the location used to store WebLogic Server JMS messages when a message cannot be redirected.
`string` | `tux-error-queue` optional The name of the Tuxedo queue used to store a message that cannot be redirected to a Tuxedo/Q source queue.
`annonymous type derived from string` | `delivery-mode-override` optional The delivery mode to use when placing messages onto the target location.
`annonymous type derived from string` | `default-reply-delivery-mode` optional
`string` | `user-id` optional The user identity for all messages handled by this Tuxedo queuing bridge for ACL checks when security is configured.
`annonymous type derived from string` | `allow-non-standard-types` optional Specifies whether non-standard data types are allowed to pass through this Tuxedo queuing bridge.
`string` | `jndi-factory` optional The name of the JNDI lookup factory.
`string` | `jms-factory` optional The name of the JMS connection factory.
`string` | `tux-factory` optional The name of the Tuxedo connection factory.
`string` | `jms-to-tux-priority-map` optional
`string` | `tux-to-jms-priority-map` optional

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1